Bug 125221 - Unable to build on FC2 due to "Unsupported OS/Release"
Unable to build on FC2 due to "Unsupported OS/Release"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hwcrypto (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-03 13:49 EDT by Steve Snyder
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0-17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-17 14:53:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Snyder 2004-06-03 13:49:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040120

Description of problem:
Build of binary packages fails, declaring FC2 to be an "Unsupported
OS/Release combination !"


Version-Release number of selected component (if applicable):
1.0-15

How reproducible:
Always

Steps to Reproduce:
1.Install FC2 with "[] Everything" package selection.
2.Run "rpmbuild --rebuild hwcrypto-1.0-15.src.rpm"
3.
    

Actual Results:  This is a snippet of output, seen when building
binary package:

+ make -C API
make: Entering directory `/home/BUILD/hwcrypto-1.0/Host/API'
. ./make.conf ; make target
Unsupported OS/Release combination !
Platform = Linux
Release  = 2.6.5-1.358
Compiler = gcc
make: *** [default] Error 1
make: Leaving directory `/home/BUILD/hwcrypto-1.0/Host/API'


Expected Results:  Binary package should build without error.


Additional info:
Comment 1 Randy Zagar 2004-10-05 23:48:04 EDT
bcm5820 component of hwcrypto-1.0-15 (FC2) also has problems with
/usr/include/linux/tqueue.h and /usr/include/linux/wrapper.h. 
Internal  kernel task scheduling seems to have moved away from task
queue struct tq_struct and is now, in 2.6.8, using a different
structure "work_struct".  There are a couple places in the kernel
source where someone does a "#define tq_struct work_struct", but it is
unclear to me exactly how to fake out the tq_struct semantics under
the new system.

BTW, there's a whole <deleted>-load of bcm5820 cards for sale on eBay
for under $50 if you need hardware to test with.


Note You need to log in before you can comment on or make changes to this bug.